org.apache.avro.mapred

## Class AvroCollector<T>

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.avro.mapred.AvroCollector<T>

- All Implemented Interfaces:
    Configurable

      public abstract class AvroCollector<T>
      extends Configured

  A collector for map and reduce output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroCollector()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `collect(T datum)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroCollector

          public AvroCollector()

  - ### Method Detail

    - #### collect

          public abstract void collect(T datum)
                                throws IOException

      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.